import { Address, ResolvedConfig } from 'abitype';
import { Unit } from '../../types';
export declare type FetchBalanceArgs = {
    /** Address or ENS name */
    addressOrName: string;
    /** Chain id to use for provider */
    chainId?: number;
    /** Units for formatting output */
    formatUnits?: Unit | number;
    /** ERC-20 address */
    token?: Address;
};
export declare type FetchBalanceResult = {
    decimals: ResolvedConfig['IntType'];
    formatted: string;
    symbol: string;
    value: ResolvedConfig['BigIntType'];
};
export declare function fetchBalance({ addressOrName, chainId, formatUnits: unit, token, }: FetchBalanceArgs): Promise<FetchBalanceResult>;
