import { Address, ResolvedConfig } from 'abitype';
import { Unit } from '../../types';
export declare type FetchTokenArgs = {
    /** Address of ERC-20 token */
    address: Address;
    /** Chain id to use for provider */
    chainId?: number;
    /** Units for formatting output */
    formatUnits?: Unit | number;
};
export declare type FetchTokenResult = {
    address: Address;
    decimals: ResolvedConfig['IntType'];
    name: string;
    symbol: string;
    totalSupply: {
        formatted: string;
        value: ResolvedConfig['BigIntType'];
    };
};
export declare function fetchToken({ address, chainId, formatUnits: units, }: FetchTokenArgs): Promise<FetchTokenResult>;
