import { Chain } from '../types';
export declare const chainId: {
    readonly mainnet: 1;
    readonly ropsten: 3;
    readonly rinkeby: 4;
    readonly goerli: 5;
    readonly kovan: 42;
    readonly sepolia: 11155111;
    readonly optimism: 10;
    readonly optimismKovan: 69;
    readonly optimismGoerli: 420;
    readonly polygon: 137;
    readonly polygonMumbai: 80001;
    readonly arbitrum: 42161;
    readonly arbitrumRinkeby: 421611;
    readonly arbitrumGoerli: 421613;
    readonly localhost: 1337;
    readonly hardhat: 31337;
    readonly foundry: 31337;
};
export declare type ChainName = keyof typeof chainId;
export declare const mainnet: Chain;
export declare const ropsten: Chain;
export declare const rinkeby: Chain;
export declare const goerli: Chain;
export declare const kovan: Chain;
export declare const sepolia: Chain;
export declare const optimism: Chain;
export declare const optimismKovan: Chain;
export declare const optimismGoerli: Chain;
export declare const polygon: Chain;
export declare const polygonMumbai: Chain;
export declare const arbitrum: Chain;
export declare const arbitrumRinkeby: Chain;
export declare const arbitrumGoerli: Chain;
export declare const localhost: Chain;
export declare const hardhat: Chain;
export declare const foundry: Chain;
/**
 * Common chains for convenience
 * Should not contain all possible chains
 */
export declare const chain: {
    readonly mainnet: Chain;
    readonly ropsten: Chain;
    readonly rinkeby: Chain;
    readonly goerli: Chain;
    readonly kovan: Chain;
    readonly sepolia: Chain;
    readonly optimism: Chain;
    readonly optimismGoerli: Chain;
    readonly optimismKovan: Chain;
    readonly polygon: Chain;
    readonly polygonMumbai: Chain;
    readonly arbitrum: Chain;
    readonly arbitrumGoerli: Chain;
    readonly arbitrumRinkeby: Chain;
    readonly localhost: Chain;
    readonly hardhat: Chain;
    readonly foundry: Chain;
};
export declare const allChains: Chain[];
export declare const defaultChains: Chain[];
export declare const defaultL2Chains: Chain[];
