import { AbiParameter } from 'abitype';
import { Contract } from 'ethers';
/**
 * Get normalized function name from contract
 *
 * @param contract — Contract
 * @param functionName — Function name
 * @param args — Function arguments (used to disambiguate overloaded functions)
 *
 * @returns Normalized function name
 */
export declare function normalizeFunctionName({ contract, functionName, args, }: {
    contract: Contract;
    functionName: string;
    args?: readonly unknown[];
}): string;
export declare function isArgOfType(arg: unknown, abiParameter: AbiParameter): boolean;
